package tutorial.core.services;

import tutorial.core.models.entities.EmailDomain;
import tutorial.core.services.util.EmailDomainList;
import tutorial.rest.resources.EmailDomainResource;

/**
 * 
 * @author Xavier
 */
public interface EmailDomainService {
    /**
     * 
     * @param data
     * @return 
     */
    public EmailDomain createEmailDomain(EmailDomainResource data);
    
    /**
     * 
     * @return 
     */
    public EmailDomainList findAllEmailDomains();
    
    /**
     * 
     * @param id
     * @return 
     */
    public EmailDomain findEmailDomain(Long id);
    
    /**
     * 
     */
    public void deleteAllEmailDomains();
}
